soelim(1)

Name
soelim - Quellanfragen in roff oder anderen Textdateien rekursiv interpolieren

Übersicht
soelim [-Crt] [-I Verz] [Eingabedatei …]
soelim --help
soelim -v
soelim --version

Beschreibung
GNU soelim ist ein Präprozessor für das groff(7) -Dokumentenformatierungssystem. soelim funktioniert als ein Filter, um Quellanfragen in roff(7) -Eingabedateien zu beseitigen. Es ersetzt Zeilen der Form ».so Einbindedatei« innerhalb jeder Text-Eingabedatei rekursiv durch den Inhalt von Einbindedatei. Standardmäßig schreibt es auch lf-Anfragen, um den Namen und die Zeilennummer jeder Eingabedatei und Einbindedatei aufzuzeichnen, so dass alle Diagnostikangaben, die in der späteren Verarbeitung auftreten, genau der Originaleingabe zugeordnet werden können. Optionen ermöglichen es, diese Informationen zu unterdrücken (-r) oder stattdessen in TeX-Kommentaren (-t) bereitzustellen. Falls keine Argumente für Eingabedatei vorhanden sind, liest soelim den Standardeingabedatenstrom. Die Ausgabe wird in den Standardausgabendatenstrom geschrieben.

Falls der Name der Makrodatei einen Rückwärtsschrägstrich enthält, verwenden Sie zu dessen Einbettung \\ oder \e. Um ein Leerzeichen einzubetten, schreiben Sie »\ « (einen Rückwärtsschrägstrich, gefolgt von einem Leerzeichen). Alle anderen Maskiersequenzen in Makrodatei, einschließlich »\[rs]«, hindern soelim daran, die Quellanfrage zu ersetzen.

Der Punkt muss am Zeilenanfang sein und ihm muss »so« ohne Leerzeichen oder Tabulatoren folgen, damit soelim damit umgehen kann. Diese Konvention erlaubt es, Quellanfragen vor der Verarbeitung durch soelim zu schützen, zum Beispiel als Teil einer Makrodefinition oder »if«-Anfragen.

Es muss auch mindestens ein Leerzeichen zwischen »so« und seinem Argument Makrodatei sein. Die Option -C setzt diese Anforderung außer Kraft.

Das Vorgestellte ist die Obergrenze des Verständnisses von soelim von der Sprache roff. Es ersetzt beispielsweise die Eingabezeile
        .if 1 .so Anderedatei
nicht durch den Inhalt der Anderendatei. Mit seiner Option -r kann soelim daher dazu verwandt werden, allgemeine Textdateien zu verarbeiten, um einen Baum an Eingabedokumenten zu glätten.

soelim wurde entwickelt, um mit Situationen umzugehen, bei denen das Ziel einer roff(7) -Quellanfrage die Verarbeitung durch einen Präprozesser wie eqn(1), pic(1), refer(1) oder tbl(1) verlangt, Die normale Verarbeitungssequenz von groff(1) ist wie folgt:

              input        sourced
              file          file
                |             |
                ↓             ↓
            preprocessor → troff → postprocessor
                                          |
                                          ↓
                                       output
                                        file

Das heißt, mit ».so« eingelesene Dateien werden normalerweise nur von troff(1) (dem eigentlichen Formatierungsprogramm) gelesen. soelim wird von troff(1) nicht für Quelldateien benötigt.

Falls eine eingelesene Datei auch vorverarbeitet werden soll, muss sie bereits gelesen worden sein, bevor die Eingabedatei durch den Präprozessor gegeben wird. soelim, aufgerufen mittels der Option -s von groff, erledigt dies.

              input
              file
                |
                ↓
              soelim → preprocessor → troff → postprocessor
                ↑                                     |
                |                                     ↓
             sourced                               output
              file                                  file

Optionen
--help zeigt eine Hilfe zur Verwendung an, während -v und --version die Versionsinformation anzeigen. Alle drei beenden sich danach.

-C  Erkennt eine Eingabezeile, die mit .so beginnt, selbst wenn diesem kein Leerzeichen oder Zeilenumbruch folgt.

-I Verz
    Durchsucht den Verzeichnispfad Verz nach Eingabe- und Einbinde-Dateien. -I kann mehr als einmal angegeben werden. Jedes Verz wird in der angegebenen Reihenfolge durchsucht. Um das aktuelle Arbeitsverzeichnis vor anderen zu durchsuchen, fügen Sie »-I ." « an der gewünschten Stelle hinzu. Andernfalls wird es als letztes durchsucht.

-r  Schreibt Dateien »roh«. Fügt keine lf-Anfragen hinzu.

-t  Gibt mit »%« beginnende TeX-Kommentarzeilen aus, die die aktuelle Datei und Zeilennummer anzeigen, anstatt lf-Anfragen für den gleichen Zweck.

Falls sowohl -r als auch -t angegeben sind, steuert die zuletzt angegebene Option.

Siehe auch
groff(1)

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).